## apparmor 2.13.2

=== tests/stress/Makefile ===
SUBDIRS=subdomain

.PHONY: clean
clean:
	for dir in $(SUBDIRS) ; do \
		$(MAKE) clean -C $${dir} ; \
	done
